<?php
/**
 * Plantilla a cercar.
 *
 * Cerca la plantilla demanada.
 *
 * @access	public
 * @param	string	El nom de la plantilla a cercar.
 * @param	string	Nom curs a cercar.
 * @param	string	Data d'inici.
 * @param	string	Data fi.
 * @param	string	Nom del tutor.
 * @return	string  El text de la plantilla.
 */

$this->load->helper('date');


//Cas 2: Benvinguda
$benvinguda="<html>Bienvenid@ al curso<b> -".$nom_curs."-</b>, al que has sido convocado y que comenzará hoy  ".spain_data($data_inici)." y finalizará el ".spain_data($data_fi)."<br><br>

Mi nombre es ". $nom_tutor." y voy a ser tu tutor a lo largo de su desarrollo. <br><br>

Mi labor como tutor es acompañarte y ayudarte en la realización de este curso, estaremos en contacto 'virtual'. Puedes ponerte en contacto conmigo siempre que lo necesites, por lo que te propongo diferentes herramientas que podemos utilizar:<br><br>

-<b>Ayuda técnica y Atención al alumno</b>: En los cursos siempre surgen problemas técnicos para realizarlo. Ventanas que no se abren, imposibilidad de continuar a la siguiente página, no se ve el curso bien, quedan partes tapadas... Bien, para solucionar esos problemas debes pulsar en las pestañas (parte izquierda de la pantalla) AYUDA o ATENCIÓN AL ALUMNO. Ahí dispones de las soluciones para poder hacer el curso sin incidencias. Leetelas y ponlas en práctica si las necesitas.<br><br>

-<b>Correo electrónico</b>: Si tienes cualquier comentario o sugerencia, puedes localizarme en ( david.tutoria@gmail.com). Por mi parte, a lo largo del periodo de realización del curso te enviaré distintos correos de seguimiento de tu formación, resolución de posibles dudas, convocatoria a foros de discusión si los hubiera, etc.<br><br>

-<b>Foros</b>: Se trata de grupos de discusión, donde se debaten y se plantean temas relacionados con la metodología, el contenido o cualquier otro aspecto del curso. Existen 2 tipos de foros diferenciados en función de la temática:<br><br>

 

<p style='padding-left: 3em'>­<b>Foro de preguntas al Tutor + David Español</b> te permite contactar con el tutor para preguntar cualquier duda, o realizar comentarios en relación al curso.</p><br><br>
     

<p style='padding-left: 3em'>­<b>Foro FAQ´S ( Frecuent Ask Questions – Preguntas más frecuentes)</b>; en este foro puedes incluir las respuestas a las preguntas más frecuentes que vayan surgiendo durante el seguimiento del curso y que puedan interesar al grupo. Se trata de un fofo de consulta que te servirá de ayuda.</p><br><br>

 

-<b>El calendario</b>: Te permite almacenar acontecimientos importantes y opcionalmente notifica cuando se produce un evento. Tu calendario contendrá también cualquier evento introducido por tutores de todos los cursos en los que estés inscrito.<br><br>

Recuerda que para que el curso que inicias se considere superado, deberás:<br><br>

-Completar los apartados de contenido con una puntuación del 100%.<br><br>

-Completar las Prácticas y la Evaluación con una Puntuación del 75% o superior.<br><br>

-Completar el cuestionario de opinión asociado al curso.<br><br>

Espero que este curso sea de tu agrado y de gran utilidad para tu desempeño diario.<br><br>

Recibe un cordial saludo. ".$nom_tutor." <br><br></html>";

// Cas 5: No iniciat
$no_iniciat="<html><font face='Georgia, Times New Roman, Times, serif'>Hola.<br /><br />
		
		Me pongo en contacto contigo para recordarte que el pasado ".spain_data($data_inici)." comenzó el curso y que tras revisar el estado de tu situación en el curso, éste es de NO comenzado.<br /><br />
		
		Me gustaría conocer si existe alguna circunstancia que te ha impedido comenzar el curso y me pongo a tu disposición para resolver cualquier incidencia, animándote a su inicio cuanto antes para que lo puedas finalizar en la fecha prevista ".spain_data($data_fi).".<br /><br />
		
		Recordarte que para la completar el curso es necesario realizar todos los módulos, muchos de tus compañeros ya lo están haciendo, con ellos también puedes 'conversar' y compartir experiencias en el foro abierto.<br /><br />
		
		Si por algún motivo te resultase imposible realizar esta formación, te ruego que te pongas en contacto conmigo.<br /><br />
		
		Espero tu respuesta,<br />
		Un cordial saludo.</font><br /><br /><hr></html>";
		
//Cas 6 :Retras
$retras="<html><font face='Georgia, Times New Roman, Times, serif'>Estimad@ alumn@: <br /><br />

Desde mi función como tutor, he comprobado que tu avance en el curso -".$nom_curs."- es positivo aunque con algún retraso respecto al calendario planificado. Te animo a continuar en la realización de los contenidos y ejercicios que se plantean en este curso para lograr su finalización en el plazo establecido: ".spain_data($data_fi)."<br /><br />
 
Te recuerdo que estoy a tu disposición para cualquier duda o consulta que te pueda surgir en la realización del mismo.<br /><br />

Muchas gracias y un saludo.<br /><br />

</font><br /><br /><hr></html>";
		
// Cas 7: Be
$be="<html><font face='Georgia, Times New Roman, Times, serif'>Hola.<br /><br />

Desde mi función como tutor, he comprobado tu avance en el curso ".$nom_curs." y por esa razón quiero animarte a continuar en esa línea. Estás haciendo un muy buen trabajo.<br /><br />

Te recuerdo que estoy a tu disposición para cualquier duda o consulta que te pueda surgir en la realización del mismo.<br /><br />
 
Muchas gracias y un saludo.<br /><br />

Recordarte que dispones de un foro de grupo donde puedes participar.<br /><br />
Un cordial saludo.</font><br /><br /><hr></html>";		
		
$texto_mail_cuestionario="<html><font face='Georgia, Times New Roman, Times, serif'>Hola.<br /><br />

Te mando este e-mail para informarte que solo te falta por rellenar el CUESTIONARIO DE OPINIÓN.<br /><br />

Una vez rellenado (son 3 minutos) el curso de manera automática pasará a SUPERADO.<br /><br />

Sería una lástima que no pudieras superar el curso por no hacer el cuestionario. En cuanto tengas superado el curso te enviaré un email confirmándotelo. <br /><br /></html>";


//Cas 6 :Retras
$retras="<html><font face='Georgia, Times New Roman, Times, serif'>Estimad@ alumn@: <br /><br />

Desde mi función como tutor, he comprobado que tu avance en el curso -".$nom_curs."- es positivo aunque con algún retraso respecto al calendario planificado. Te animo a continuar en la realización de los contenidos y ejercicios que se plantean en este curso para lograr su finalización en el plazo establecido: ".spain_data($data_fi)."<br /><br />
 
Te recuerdo que estoy a tu disposición para cualquier duda o consulta que te pueda surgir en la realización del mismo.<br /><br />

Muchas gracias y un saludo.<br /><br />

</font><br /><br /><hr></html>";


//Caso 8 :Termini
$termini="<html><font face='Georgia, Times New Roman, Times, serif'>Estimad@ alumn@: <br /><br />
 
Me pongo en contacto contigo para recordarte que el plazo de realización del curso on-line -".$nom_curs."-, concluye el próximo día ".spain_data($data_fi)." a las 23:59 horas.

Te recuerdo que estoy a tu disposición para cualquier duda o consulta que te pueda surgir en la realización del mismo.<br /><br />

Muchas gracias y un saludo.<br /><br />

</font><br /><br /><hr></html>";

//Cas 9 :Superat
$superacio="<html><font face='Georgia, Times New Roman, Times, serif'>Enhorabuena.<br /><br />

Quiero felicitarte por el excelente trabajo que has hecho y que te ha permitido finalizar el curso ".$nom_curs." dentro del plazo. Has hecho una gran labor y te felicito por ello.<br /><br />
 
Espero que se hayan cumplido tus expectativas respecto al mismo, y que a partir de ahora puedas poner en práctica todos los conocimientos adquiridos.<br /><br />

No olvides que estoy a tu disposición para ayudarte en cualquier tema relacionado con la formación on-line.<br /><br />

Muchas gracias por tu participación y un saludo.<br /><br />


Hasta pronto y de nuevo felicidades por tu trabajo y tesón.</font><br /><br /><hr></html>";


?>