<?php
/**
 * Classe que representa el model dels missatges.
 * @author David Espaol Diaz
 * @versi 1.0; PHP 5.0".
 */
class missatges_model extends CI_Model {

	private $taula_missatges="resposta_missatges";
	private $nom_convocatoria;
	private $id_convocatoria;

	/**
     * Mtode constructor de missatges. Crea una instancia.
     * {pre: Cap}
     * {post: retorna una instncia de la classe Missatges i carrega la base de dades.
     */
	public function __construct(){
       // Crida el Model constructor
       parent::__construct();
	   $this->load->database();
    }
	
	/**
     * Mtode amb un parmetre que permet comprovar si un missatge ha estat resps..
     * {pre: La taula de resposta_missatges est creada a la base de dades}
     * {post: Es retorna la comprovaci}
	 * @return int - 1 si no s'ha resps.
     */
    public function comprovarResposta($id_missatge){
		$this->db->where('id_missatge',$id_missatge);
		$query=$this->db->get($this->taula_missatges);

		if ($query->num_rows>0){
			return 1;
		} else{
			return -1;
		}		
	}
	
	/**
     * Mtode amb un parmetre que permet guardar si un missatge ha estat resps.
     * {pre: La taula de resposta_missatges est creada a la base de dades}
     * {post: Es retorna la comprovaci}
     */
    public function gravarResposta($id_real){
		$dada = array(
		   'id_missatge' => $id_real,
		);
		if($this->db->insert($this->taula_missatges,$dada)){
			$return= true;
		} else{
			$return= false;
		}	
	}
}
?>