<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="es" xml:lang="es">
<head>
	<!-- Vista dels alumnes -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<title>Gestió d'alumnes</title>
	<!-- Càrrega de les fulles d'estil -->
	<link href="<?php echo base_url();?>assets/css/comu.css" rel="stylesheet" type="text/css"/>
	<link href="<?php echo base_url();?>assets/css/taules.css" rel="stylesheet" type="text/css"/>
</head>
<body>
	<!-- Div superior -->
	<div id="up">
		<!-- Logo de la plana -->
		<div class="logo"></div>
		<!-- Enllaços -->
		<div class="user">
			<span class="link"><? echo anchor('inici', 'Inici') ?> - </span>
			<span class="nolink">Gestió d'alumnes</span><br />
		</div>
		<div class="marc"></div>
	</div>
	<!-- Div de taules -->
	<div id="taules">
		<div class="encapçalament">
			<table border="0" cellpadding="0" cellspacing="0" class="taula">
				<!-- Cel·les -->
				<tr>
					<th>Inicial </th>
					<th>Cognoms <br /></th>
					<th>Nom <br /></th>
					<th>Identificador <br /></th>
					<th>E-mail <br /></th>
					<th>Editar </th>
				</tr>
				<?php
					//Carrega helpers.
					$this->load->helper(array('html','url'));
					//Include d'imatges i enllaços.
					include ('application/includes/link_imatges.php');
					$cognom_anterior=" ";
				
					//Foreach per visualitzar les dades.
					foreach($lstalumnes as $fila){
						//Si hi ha llistat alumnes.
						if(isset($fila->id_alumne)){
						
							//Funció per extreure la inicial del cognom.
							$inicial_cognom=inicial_cognom($fila->cognoms,$cognom_anterior);
							$cognom_anterior=$fila->cognoms;
					
							$id_alumne=$fila->id_alumne;
							$link='alumnes/modificar_alumne/'.$id_alumne;
							
							// Llistat de tots els alumnes.
							echo '<tr>';
							echo '<td>'.$inicial_cognom.'</td><td>'. $fila->cognoms. '</td><td>' . $fila->nom . '</td><td>'. $fila->id_alumne.'</td><td>'. $fila->mail.  '</td><td>'.anchor($link, img($image_editar)).'</td>';
							echo '</tr>';
						}else{
							break;
						}//No hi ha alumnes.
					}		
				?>
			</table>
		</div>
	</div>
</body>
</html> 