<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="es" xml:lang="es">
<head>
	<!-- Vista d'inici -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/> 
	<title>Pàgina principal</title>
	<!-- Càrrega de les fulles d'estil -->
	<link href="<?php echo base_url();?>assets/css/inici.css" rel="stylesheet" type="text/css"/>	
	<link href="<?php echo base_url();?>assets/css/comu.css" rel="stylesheet" type="text/css"/>
		
</head>
<body>
	<!-- Div superior -->
	<div id="up">
		<!-- Logo de la plana -->
		<div class="logoInici"></div>
		<?php	
			//Carrega helpers.
			$this->load->helper(array('html','url'));
			//Include d'imatges i enllaços.
			include ('application/includes/link_imatges.php');
			include ('application/includes/link_planes.php');
			
			//Recollir dades de sessió.
			$usuari=$this->session->userdata('id_usuari');
			$rol=$this->session->userdata('rol_usuari');
			$nom=$this->session->userdata('nom_usuari');
			
		?>
	</div>
	<!-- Franja d'identificacio d'usuari i menú desconnexio -->
	<div id="line">	
		<div class="user"><? echo nbs(4),img($image_convidat),' Hola '.$nom; ?></div>
		<div class="menu"><? echo img($image_desconnectar),anchor('login/logout','Desconnectar'),nbs(2),img($image_configuracio); echo anchor($link_meves_dades,'Configuració-El teu compte' ); ?></div>
	</div>
		
	<!-- Franja de menú principal a la esquerra amb opcions -->
	<div id="left">
		<div class="options"><? echo "Matriculació"; ?></div>
		<div class="links">
			<?php
				echo img($image_nous_alumnes),nbs(1),anchor($link_gestio_convocatories,'Incloure Alumnes'),br(1);
				echo img($image_nova_convocatoria),nbs(1),anchor($link_nova_convocatoria,'Alta Convocatòria'); 
			?>
		</div>
			
		<div class="options"><? echo "Gestió"; ?></div>
		<div class="links">
			<?php
				echo img($image_gestio_alumnes),nbs(1),anchor($link_gestio_alumnes,'Gestió alumnes'),br(1);
				echo img($image_gestio_convocatories),nbs(1),anchor($link_gestio_convocatories,'Gestió convocatories'),br(1); 
				echo img($image_seguiment),nbs(1),anchor($link_seguiment,'Seguiment'),br(1); 
				echo nbs(1),img($image_gestio_missatges),anchor($link_gestor_missatges,'Gestor missatges'),br(1); 

				//Segons el rol d'usuari podrà veure uns continguts o altres.
				if($rol==1){
					echo nbs(1);echo img($image_gestio_usuaris); echo anchor($link_gestio_usuaris,'Gestor usuaris'); 
				}	
			?>
		</div>
	</div>
	<!-- Franja central estadístiques i convocatòria -->
	<div id="center">
		<?php	
			$this->load->helper('date');
			
			//Foreach per visualitzar les dades.
			foreach($actconv as $fila){
				//Si hi ha convocatòria oberta.
				if(isset($fila->id_convocatoria)){
						
					echo '<div class="title">Dades de la convocatòria actual: <br /></div>';
					echo '<div class="subtitle"><b>Curs:</b>'.nbs(2).$fila->nom_convocatoria. '<br />';
						
					//Formatejar la data
					$this->load->helper('date');
					$data_inici=spain_data($fila->data_inici);
					$data_fi=spain_data($fila->data_fi);
					echo '<b>Inici:</b>'.nbs(3).$data_inici. '<br />';
					echo '<b>Final:</b>'.nbs(2).$data_fi. '<br /></div>';
						
					//Dades de la convocatoria i missatges nous.
					echo '<div class="info">Estat de la convocatòria: '.$fila->id_convocatoria.'<br />Missatges nous: <b>'.$fila->nous.img($image_nou_mail).'</b><br /><br />';
						
					//Recordatori si no s'han inserit els alumnes a la convocatòria.
					if($fila->status !=1){
						echo 'No hi ha alumnes associats a la convocatòria.<br /></div>';
					} else{
						// Benvinguda.
						echo ''.img($image_estat_benvinguda).'<b> Estat de benvinguda:</b> <br />';
						echo ''.nbs(15).' No enviat ('.$fila->benvinguda_falta.')';
						echo ''.nbs(2).'Enviat ('.$fila->benvinguda_rebuda.')';
						echo ''.nbs(2).'Retornat ('.$fila->benvinguda_retornada.')<br /><br />';
						
						//Total alumnes.
						echo ''.img($image_grup_alumnes).'<b> Alumnes:</b> <br />';
						echo ''.nbs(15).' Total alumnes ('.$fila->alumnes_totals.')';
						echo ''.nbs(2).'Donats de baixa ('.$fila->alumnes_baixa.')<br /><br />';

						//Estadistica
						echo ''.img($image_estadistiques).'<b> Superació:</b> <br />';
						echo ''.nbs(15).' Total superats: '.$fila->alumnes_superacio.'/';
						echo ''.$fila->alumnes_totals.'<br /><br />';
							
						//Sense contactar
						echo ''.img($image_contacte).'<b> Comunicacions:</b> <br />';
						echo ''.nbs(15).' Alumnes sense seguiment: '.$fila->alumnes_no_contactats.'<br /><br /></div>';

					}
				} else{
					echo '<td>No hi ha convocatòria per gestionar actualment<br />';
					break; //Cap convocatòria oberta.
				}	
			}
		
		?>
	</div>
	
	<?php
		//Missatges d'error.
		echo '<div id="missatges">'.$this->session->flashdata('error').'</div>';
		echo validation_errors('<div id="missatges">','</div>'); 
	?>
</body>
</html> 