<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="ca" xml:lang="ca">
<head>
	<!-- Vista de missatges -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/> 
	<title>Correu electronic</title>
	<!-- Càrrega de les fulles d'estil -->
	<link href="<?php echo base_url();?>assets/css/comu.css" rel="stylesheet" type="text/css"/>
	<link href="<?php echo base_url();?>assets/css/missatges.css" rel="stylesheet" type="text/css"/>	
</head>
<body>
	<!-- Div superior -->
	<div id="up">
		<!-- Logo de la plana -->
		<div class="logo"></div>
		<!-- Enllaços -->
		<div class="user">
			<span class="link"><? echo anchor('inici', 'Inici') ?> - </span>
			<span class="nolink">Gestor de missatges</span><br />
		</div>
		<div class="marc"></div>
	</div>
	<?php
		//Carrega helpers i llibreries.
		$this->load->helper(array('url','html','form'));
		$this->load->library('javascript');
		//Include d'imatges i enllaços.
		include ('application/includes/link_imatges.php');
		include ('application/includes/link_planes.php');

		//Detecció de carpeta.
		$folder=$this->uri->segment(3);
		echo form_open('missatges/esborrar/'.$folder);


	?>
	<!-- Menú d'opcions -->
	<div id="superior">
		<div class="izquierda"><? echo anchor($link_recarregar,img($image_recarregar_mails)); ?> Recarregar &nbsp; <? echo anchor($link_nou_missatge,img($image_nou_mail)); ?> Nou &nbsp;</div>
		
		<!-- Opció esborrar -->
		<div class="esborrar"><input type="hidden" name="action" value="1" /><input type="hidden" name="origen" value="Esborrar" />		<input name="enviar" type="submit" value="" />Esborrar
		</div>	
	</div>
	<!-- Div de taules -->
	<div id="taules">
		<div class="carpetes">
			<?php
				echo nbs (1),'Carpetes ',br(1);
				//Visualitzar carpetes.
				foreach($carpetes as $fila){
						$carpeta2=str_replace("{imap.gmail.com}","",$fila);
						$carpeta=str_replace("[Gmail]/","",$carpeta2);
						$link_carpeta='missatges/index/'.$carpeta;
						echo nbs (3);
						echo anchor($link_carpeta,imap_utf7_decode($carpeta)). "<br />";
			
				}
				echo br(1);
			?>
		</div>
		<!-- Paginació -->
		<div class="paginacio">
			<?php
				$page=$this->uri->segment(4);
				$page_anterior=$pagina_anterior;
				$page_seguent=$pagina_seguent;
				$link_anterior='missatges/index/'.$folder.'/'.$page_anterior;
				$link_seguent='missatges/index/'.$folder.'/'.$page_seguent;
				echo anchor($link_anterior,img($image_plana_anterior)),' Anterior',nbs(3),'Següent ';
				echo anchor($link_seguent,img($image_plana_seguent));
			?>
		</div>
		<!-- Div de missatges -->
		<div class="encapçalament">
			<table border="0" cellpadding="0" cellspacing="0" class="taula">
				<tr>
					<th>Selecció </th> 
					<th> Estat </th>
					<th>De </th>
					<th>Assumpte </th>
					<th></th>
					<th>Data </th>
				</tr>
				<?php
					//Foreach per visualitzar les dades.
					foreach($missatges as $fila){
						$id_missatge= $fila->id_missatge;
						$checkbox = array(
						'name'        => 'seleccio[]',
						'id'          => $id_missatge,
						'value'       => $id_missatge,
						'checked'     => FALSE,
						'style'       => 'margin:10px'
						);
					
						$from = $fila->from;
						$subject = $fila->subject;
						$unseen= $fila->new_flag;
						$repply= $fila->repply;
						$from_mail= $fila->from_mail;
						$date = $fila->date;
						$resposta= $fila->resposta;
						$real_id=$fila->real_id;
						$tgl1 = strtotime($fila->date);
						$tgl2 = date("d/m/Y H:i",$tgl1);
						//Detectar si el missatge s'ha llegit.
						if ($unseen=="U"){
								
							$image_flag=$image_flag_nou;
						} else{
							//Detectar si el missatge ha estat respos.
							if($resposta==1){
								$image_flag=$image_mail_resposta;
							} else{
								$image_flag=$image_blank;
							}
						}
					
						//Detecció de carpeta.
						if($folder==''){
							$folder='INBOX';
						}
				
						//Codificar enllaç a la barra de navegador.
						$this->load->library('encrypt');
						$from_mail2= $this->encrypt->encode($from_mail);
						$subject2= $this->encrypt->encode($subject);

						//Llistat de tots els missatges.
						$link_missatge='missatges/veure_missatge/'.$folder.'/'.$id_missatge.'/'.$from_mail.'/'.$subject.'/'.$real_id;
						echo '<tr>';
						echo '<td>'.form_checkbox($checkbox).form_label('&nbsp;', $id_missatge).'</td><td>'.img($image_flag).'</td><td>'. $from. '</td><td>'.anchor($link_missatge,$subject).'</td><td></td><td>' . $tgl2. '</td>';
						echo '</tr>';
					
					}
				?>
			</table>
		</div>
	</div>
	
	<?php
		//Tancar formulari.
		echo form_close(); 
	?> 	
</body>
</html> 