<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="es" xml:lang="es">
<head>
	<!-- Vista de nou usuari-->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/> 
	<title>Nou usuari</title>
	<!-- Carrega de les fulles d'estil -->
	<link href="<?php echo base_url();?>assets/css/comu.css" rel="stylesheet" type="text/css"/>
	<link href="<?php echo base_url();?>assets/css/formularis.css" rel="stylesheet" type="text/css"/>
</head>
<body>
	<!-- Div superior -->
	<div id="up">
		<!-- Logo de la plana -->
		<div class="logo"></div>
		<!-- Enllaços -->
		<div class="user">
			<span class="link"><? echo anchor('inici', 'Inici') ?> - </span>
			<span class="link"><? echo anchor('usuaris', 'Gestió usuaris') ?> - </span>
			<span class="nolink">Nou usuari</span><br />
		</div>
		<div class="marc"></div>
	</div>

	<?php
		//Carrega helpers.
		$this->load->helper(array('url','form'));
		//Obrir formulari.
		echo form_open('usuaris/nou_usuari'); 
	?>
	<fieldset>
		<legend>Nou usuari.</legend>       
		<p>
			<?php 
				//Camp nom usuari.
				echo form_label('Nom: ','nom_nou_usuari'),form_input(array('name'=>'nom_usuari','id'=>'nom_nou_usuari','value'=>set_value('nom_nou_usuari'))); 
			?>
		</p>
		<p>
			<?php
				//Camp cognoms usuari.
				echo form_label('Cognoms: ','cognoms_usuari'),form_input(array('name'=>'cognoms_usuari','id'=>'cognoms_usuari','value'=>set_value('cognoms_usuari'))); 
			?>
		</p>
		<p>
			<?php
				//Camp contrasenya usuari.
				echo form_label('Password: ','password_nou_usuari'),form_input(array('name'=>'password_usuari','id'=>'password_nou_usuari','type'=>'password','value'=>set_value('password_ou_usuari'))); 
			?>
		</p>
		<p>
			<?php
				//Camp confirmar contrasenya.
				echo form_label('Repeteix Password: ','password_conf'),form_input(array('name'=>'password_conf','id'=>'password_conf','type'=>'password','value'=>set_value('password_conf'))); 
			?>
		</p>
		<p>
			<?php
				//Camp id_usuari
				echo form_label('ID Usuari: ','id_nou_usuari'),form_input(array('name'=>'id_usuari','id'=>'id_nou_usuari','value'=>set_value('id_nou_usuari'))); 
			?>
		</p>
		<p>
			<?php
				//Camp mail usuari.
				echo form_label('Mail Usuari: ','mail_usuari'),form_input(array('name'=>'mail_usuari','id'=>'mail_usuari','value'=>set_value('mail_usuari'))); 
			?>
		</p>
		<p>
			<?php
				//Camp rol usuari
				echo form_label('Rol:1:Admin/2:Tutor','rol_usuari'),form_input(array('name'=>'rol_usuari','id'=>'rol_usuari','value'=>set_value('rol_usuari'))); 
			?>
		</p>
		<!-- LEnviar formulari -->
		<p class="submit">
			<?php echo form_submit('enviar','Enviar'); ?>
			</p>
	</fieldset>
	<?php
		//Tancar formulari.
		echo form_close();
		//Detecció d'errors.
		echo '<div id="missatges">'.$this->session->flashdata('error').'</div>';
		echo validation_errors('<div id="missatges">','</div>'); 
	?>
</body>
</html> 