<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="es" xml:lang="es">
<head>
	<!-- Vista de nova convocatòria -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/> 
	<title>Nova convocatoria</title>
	<!-- Càrrega de les fulles d'estil -->
	<link href="<?php echo base_url();?>assets/css/comu.css" rel="stylesheet" type="text/css"/>
	<link href="<?php echo base_url();?>assets/css/formularis.css" rel="stylesheet" type="text/css"/>
	<link type="text/css" rel="stylesheet" href="<?php echo base_url();?>assets/calendari/css/jscal2.css" />
    <link type="text/css" rel="stylesheet" href="<?php echo base_url();?>assets/calendari/css/border-radius.css" />
    <link id="skinhelper-compact" type="text/css" rel="alternate stylesheet" href="<?php echo base_url();?>assets/calendari/css/reduce-spacing.css" />
	<!-- Càrrega de javascript-->
    <script type="text/javascript" src="<?php echo base_url();?>assets/calendari/js/jscal2.js"></script>
    <script type="text/javascript" src="<?php echo base_url();?>assets/calendari/js/unicode-letter.js"></script>
    <!-- Càrrega l'idioma català -->
    <script type="text/javascript" src="<?php echo base_url();?>assets/calendari/js/lang/ca.js"></script>	
</head>
<body>
	<!-- Div superior -->
	<div id="up">
		<!-- Logo de la plana -->
		<div class="logo"></div>
		<!-- Enllaços -->
		<div class="user">
			<span class="link"><? echo anchor('inici', 'Inici') ?> - </span>
			<span class="link"><? echo anchor('convocatories', 'Gestió de convocatories') ?> - </span>
			<span class="nolink">Nova convocatoria</span><br />
		</div>
		<div class="marc"></div>
	</div>

	<?php
		//Càrrega helpers.
		$this->load->helper(array('url','form'));
		//Obrir formulari
		echo form_open('convocatories/nova_convocatoria'); 
	?>
	<fieldset>
		<legend>Nova convocatoria.</legend>      
		<p>
			<?php
				//Camp Nom convocatòria.
				echo form_label('Nom: ','nom_convocatoria'),form_input(array('name'=>'nom_convocatoria','id'=>'nom_convocatoria','value'=>set_value('nom_convocatoria'))); 
			?>
		</p>
		<p>
			<?php
				//Camp ID Convocatòria.
				echo form_label('ID Convocatoria: ','id_convocatoria'),form_input(array('name'=>'id_convocatoria','id'=>'id_convocatoria','value'=>set_value('id_convocatoria'))); 
			?>
		</p>
		<p>
			<?php
				//Camp Data Inici.
				echo form_label('Data Inici: ','data_inici'); 
				$data = array(
					'name'=>'data_inici',
					'id' => 'calendar-trigger',
					'onclick' => 'return false',
					'content' => 'Calendari'
				);
				echo form_input(array('name'=>'data_inici','id'=>'data_inici','readonly'=>'readonly','value'=>set_value('data_inici'))); echo form_button($data);
			?>
		
			<!-- Script calendari-->
			<script type="text/javascript">
				Calendar.setup({
					inputField : "data_inici",
					trigger    : "calendar-trigger",
					onSelect   : function() { this.hide() }
			});
			</script>
		</p>
		<p>
			<?php
				//Camp Data Fi.
				echo form_label('Data Fi: ','data_fi'); 
				$data = array(
					'name'=>'data_fi',
					'id' => 'calendar-trigger2',
					'onclick' => 'return false',
					'content' => 'Calendari'
				);
				echo form_input(array('name'=>'data_fi','id'=>'data_fi','readonly'=>'readonly','value'=>set_value('data_fi')));echo form_button($data);
			?>
			<!-- Script calendari-->
			<script type="text/javascript">
				Calendar.setup({
					inputField : "data_fi",
					trigger    : "calendar-trigger2",
					onSelect   : function() { this.hide() }
				});
			</script>
		</p>
		<p class="submit">
		<?php
			//Enviar formulari.
			echo form_submit('enviar','Enviar'); 
		?>
		</p>
	</fieldset>
	<?php
		//Tancar formulari.
		echo form_close();
		//Detecció d'errors.
		echo '<div id="missatges">'.$this->session->flashdata('error').'</div>';
		echo validation_errors('<div id="missatges">','</div>'); 
	?>
</body>
</html> 