<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Plantilla a cercar.
 *
 * Cerca la plantilla demanada.
 *
 * @access	public
 * @param	string	El nom de la plantilla a cercar.
 * @param	string	Nom curs a cercar.
 * @param	string	Data d'inici.
 * @return	string  El text de la plantilla.
 */

$this->load->helper('date');
//Cas 2: Benvinguda
$benvinguda="<html>Bienvenid@ al curso<b> -".$nom_curs."-</b>, al que has sido convocado y que comenzar hoy  ".mdate($datestring,$data_inici)." y finalizar el ".mdate($datestring,$data_fi)."<br><br>

Mi nombre es David Espaol. Y voy a ser tu tutor a lo largo de su desarrollo. <br><br>

Mi labor como tutor es acompaarte y ayudarte en la realizacin de este curso, estaremos en contacto 'virtual'. Puedes ponerte en contacto conmigo siempre que lo necesites, por lo que te propongo diferentes herramientas que podemos utilizar:<br><br>

-<b>Ayuda tcnica y Atencin al alumno</b>: En los cursos siempre surgen problemas tcnicos para realizarlo. Ventanas que no se abren, imposibilidad de continuar a la siguiente pgina, no se ve el curso bien, quedan partes tapadas... Bien, para solucionar esos problemas debes pulsar en las pestaas (parte izquierda de la pantalla) AYUDA o ATENCIN AL ALUMNO. Ah dispones de las soluciones para poder hacer el curso sin incidencias. Leetelas y ponlas en prctica si las necesitas.<br><br>

-<b>Correo electrnico</b>: Si tienes cualquier comentario o sugerencia, puedes localizarme en ( david.tutoria@gmail.com). Por mi parte, a lo largo del periodo de realizacin del curso te enviar distintos correos de seguimiento de tu formacin, resolucin de posibles dudas, convocatoria a foros de discusin si los hubiera, etc.<br><br>

-<b>Foros</b>: Se trata de grupos de discusin, donde se debaten y se plantean temas relacionados con la metodologa, el contenido o cualquier otro aspecto del curso. Existen 2 tipos de foros diferenciados en funcin de la temtica:<br><br>

 

<p style='padding-left: 3em'><b>Foro de preguntas al Tutor + David Espaol</b> te permite contactar con el tutor para preguntar cualquier duda, o realizar comentarios en relacin al curso.</p><br><br>
     

<p style='padding-left: 3em'><b>Foro FAQS ( Frecuent Ask Questions  Preguntas ms frecuentes)</b>; en este foro puedes incluir las respuestas a las preguntas ms frecuentes que vayan surgiendo durante el seguimiento del curso y que puedan interesar al grupo. Se trata de un fofo de consulta que te servir de ayuda.</p><br><br>

 

-<b>El calendario</b>: Te permite almacenar acontecimientos importantes y opcionalmente notifica cuando se produce un evento. Tu calendario contendr tambin cualquier evento introducido por tutores de todos los cursos en los que ests inscrito.<br><br>

Recuerda que para que el curso que inicias se considere superado, debers:<br><br>

-Completar los apartados de contenido con una puntuacin del 100%.<br><br>

-Completar las Prcticas y la Evaluacin con una Puntuacin del 75% o superior.<br><br>

-Completar el cuestionario de opinin asociado al curso.<br><br>

Espero que este curso sea de tu agrado y de gran utilidad para tu desempeo diario.<br><br>

Recibe un cordial saludo. David.<br><br></html>";


// Cas 5: No iniciat
$no_iniciat="<html><font face='Georgia, Times New Roman, Times, serif'>Hola.<br /><br />
		
		Me pongo en contacto contigo para recordarte que el pasado ".mdate($datestring,$data_inici)." comenz el curso y que tras revisar el estado de tu situacin en el curso, ste es de NO comenzado.<br /><br />
		
		Me gustara conocer si existe alguna circunstancia que te ha impedido comenzar el curso y me pongo a tu disposicin para resolver cualquier incidencia, animndote a su inicio cuanto antes para que lo puedas finalizar en la fecha prevista ".mdate($datestring,$data_fi).".<br /><br />
		
		Recordarte que para la completar el curso es necesario realizar todos los mdulos, muchos de tus compaeros ya lo estn haciendo, con ellos tambin puedes 'conversar' y compartir experiencias en el foro abierto.<br /><br />
		
		Si por algn motivo te resultase imposible realizar esta formacin, te ruego que te pongas en contacto conmigo.<br /><br />
		
		Espero tu respuesta,<br />
		Un cordial saludo.</font><br /><br /><hr></html>";
		
//Cas 6 :Retras
$retras="<html><font face='Georgia, Times New Roman, Times, serif'>Estimad@ alumn@: <br /><br />

Desde mi funcin como tutor, he comprobado que tu avance en el curso -".$nom_curs."- es positivo aunque con algn retraso respecto al calendario planificado. Te animo a continuar en la realizacin de los contenidos y ejercicios que se plantean en este curso para lograr su finalizacin en el plazo establecido: ".mdate($datestring,$data_fi)."<br /><br />
 
Te recuerdo que estoy a tu disposicin para cualquier duda o consulta que te pueda surgir en la realizacin del mismo.<br /><br />

Muchas gracias y un saludo.<br /><br />

</font><br /><br /><hr></html>";
		
// Cas 7: Be
$be="<html><font face='Georgia, Times New Roman, Times, serif'>Hola.<br /><br />

Desde mi funcin como tutor, he comprobado tu avance en el curso ".$nom_curs." y por esa razn quiero animarte a continuar en esa lnea. Ests haciendo un muy buen trabajo.<br /><br />

Te recuerdo que estoy a tu disposicin para cualquier duda o consulta que te pueda surgir en la realizacin del mismo.<br /><br />
 
Muchas gracias y un saludo.<br /><br />

Recordarte que dispones de un foro de grupo donde puedes participar.<br /><br />
Un cordial saludo.</font><br /><br /><hr></html>";		
		
$texto_mail_cuestionario="<html><font face='Georgia, Times New Roman, Times, serif'>Hola.<br /><br />

Te mando este e-mail para informarte que solo te falta por rellenar el CUESTIONARIO DE OPININ.<br /><br />

Una vez rellenado (son 3 minutos) el curso de manera automtica pasar a SUPERADO.<br /><br />

Sera una lstima que no pudieras superar el curso por no hacer el cuestionario. En cuanto tengas superado el curso te enviar un email confirmndotelo. <br /><br /></html>";


//Cas 6 :Retras
$retras="<html><font face='Georgia, Times New Roman, Times, serif'>Estimad@ alumn@: <br /><br />

Desde mi funcin como tutor, he comprobado que tu avance en el curso -".$nom_curs."- es positivo aunque con algn retraso respecto al calendario planificado. Te animo a continuar en la realizacin de los contenidos y ejercicios que se plantean en este curso para lograr su finalizacin en el plazo establecido: ".mdate($datestring,$data_fi)."<br /><br />
 
Te recuerdo que estoy a tu disposicin para cualquier duda o consulta que te pueda surgir en la realizacin del mismo.<br /><br />

Muchas gracias y un saludo.<br /><br />

</font><br /><br /><hr></html>";


//Caso 8 :Termini
$termini="<html><font face='Georgia, Times New Roman, Times, serif'>Estimad@ alumn@: <br /><br />
 
Me pongo en contacto contigo para recordarte que el plazo de realizacin del curso on-line -".$nom_curs."-, concluye el prximo da ".mdate($datestring,$data_fi)." a las 23:59 horas.

Te recuerdo que estoy a tu disposicin para cualquier duda o consulta que te pueda surgir en la realizacin del mismo.<br /><br />

Muchas gracias y un saludo.<br /><br />

</font><br /><br /><hr></html>";

//Cas 9 :Superat
$superat="<html><font face='Georgia, Times New Roman, Times, serif'>Enhorabuena.<br /><br />

Quiero felicitarte por el excelente trabajo que has hecho y que te ha permitido finalizar el curso ".$nom_curs." dentro del plazo. Has hecho una gran labor y te felicito por ello.<br /><br />
 
Espero que se hayan cumplido tus expectativas respecto al mismo, y que a partir de ahora puedas poner en prctica todos los conocimientos adquiridos.<br /><br />

No olvides que estoy a tu disposicin para ayudarte en cualquier tema relacionado con la formacin on-line.<br /><br />

Muchas gracias por tu participacin y un saludo.<br /><br />


Hasta pronto y de nuevo felicidades por tu trabajo y tesn.</font><br /><br /><hr></html>";

?>




