<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');


/**
 * Classe Paginacio
 *
 * @category	Paginaci
 * @author		David Espaol Diaz.
 */
 
 class CI_Paginacio {

	var $total_missatges; // Nombre total de missatges.
	var $pagina; // Mxim nombre de missatges per pgina.
	
	/**
	 * Constructor
	 *
	 * @access	public
	 * @param	String	
	 */
	public function paginacio($total_missatges,$pagina) {

		// Carrega la llibreria IMAP.
		$CI =& get_instance();
		$CI->load->library('Imap');
			
		if($pagina && $pagina<=$total_missatges){
					
			$pagina_anterior=$pagina;
			if($pagina <0){		
				$resto=$total_missatges % 5;
				$pagina=$this->$total_missatges -$resto;
			}
			if($pagina >$total_missatges){
				$pagina_anterior=$total_missatges;
			}
					
					
		} else{
			$pagina=$total_missatges;
			$pagina_anterior=$total_missatges;
		}
			$data['missatges']=$CI->imap->msg_list($pagina);
			$data['carpetes']=$CI->imap->carpeta_list();
				
			if ($pagina-5 <0){
				$data['pagina_seguent']=$pagina;
			}else{
				$data['pagina_seguent']=$pagina-5;
			}
				
			if ($pagina_anterior+5 >$total_missatges){
				$data['pagina_anterior']=$pagina_anterior;
			}
			else{
				$data['pagina_anterior']=$pagina_anterior+5;
			}				
	return $data;
	}
}
?>