<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="es" xml:lang="es">
<head>
	<!-- Vista de les convocatòries -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/> 
	<title>Gestió de convocatòries</title>
	<!-- Càrrega de les fulles d'estil -->
	<link href="<?php echo base_url();?>assets/css/comu.css" rel="stylesheet" type="text/css"/>
	<link href="<?php echo base_url();?>assets/css/taules.css" rel="stylesheet" type="text/css"/>
</head>
<body>
	<!-- Div superior -->
	<div id="up">
		<!-- Logo de la plana -->
		<div class="logo"></div>
		<!-- Enllaços -->
		<div class="user">
			<span class="link"><? echo anchor('inici', 'Inici') ?> - </span>
			<span class="nolink">Gestió de convocatòries</span><br />
		</div>
		<div class="marc"><? echo $this->session->flashdata('error'); ?></div>
	</div>
	<!-- Div de taules -->
	<div id="taules">
		<div class="encapçalament">
			<table border="0" cellpadding="0" cellspacing="0" class="taula">
				<!-- Cel·les -->
				<tr>
					<th>Nom </th>
					<th>Convocatòria
					<?php
						//Include d'imatges i enllaços.
						include ('application/includes/link_imatges.php');
						include ('application/includes/link_planes.php');
						//Carrega helpers.
						$this->load->helper('html'); 
						echo anchor($link_nova_convocatoria, img($image_incloure))
					?>
					<br />
					</th>
					<th>Inici <br /></th>
					<th>Fi <br /></th>
					<th>Esborrar </th>
					<th>Incloure/Esborrar@ </th>
					<th>Edicio </th>
				</tr>
				<?php
					//Carrega llibreria javascript.
					$this->load->library('javascript');
					
					//Foreach per visualitzar les dades.
					foreach($lstconvocatories as $fila){
						
						//Si hi ha llistat convocatòries.
						if(isset($fila->id_convocatoria)){
							//Es recuperen les dades.
							$id_convocatoria=$fila->id_convocatoria;
							
							//Formatejar data.
							$this->load->helper('date');
							$data_inici=spain_data($fila->data_inici);
							$data_fi=spain_data($fila->data_fi);
							$nom_convocatoria=$fila->nom_convocatoria;

							// Llistat de links.
							$link_modificar='convocatories/modificar_convocatoria/'.$id_convocatoria;
							$link_esborrar='convocatories/esborrar_convocatoria/'.$id_convocatoria;
						
							//Segons si els alumnes han estat inserits o no, es visualitza l'opció corresponent.
							if($fila->status =='0'){
								$image_alumnes = $image_incloure;
								$link_alumnes='convocatories/assignar_alumnes/'.$id_convocatoria;
							}
							else{
								$image_alumnes = $image_esborrar;
								$link_alumnes='convocatories/esborrarAlumnes/'.$id_convocatoria;
							}
				
							//Llistat de totes les convocatòries.
							echo '<tr>';
							echo '<td>'. $nom_convocatoria. '</td><td>'.$id_convocatoria.'</td><td>' . $data_inici. '</td><td>'. $data_fi.'</td><td>'.anchor($link_esborrar,img($image_esborrar), "onclick=\" return confirm('Segur que vols ' + 'esborrar la convocatoria?')\"").'</td><td>'.anchor($link_alumnes, img($image_alumnes), "onclick=\" return confirm('Estas ' + 'segur?')\"").'</td><td>'.anchor($link_modificar, img($image_editar)).'</td>';
							echo '</tr>';
						} else{
							break;
						}//No hi ha convocatòries.
					}
				?>
			</table>	
		</div>
	</div>

</body>
</html> 