<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="es" xml:lang="es">
<head>
	<!-- Vista de seguiment -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/> 
	<title>Seguiment d'alumnes</title>
	<!-- Carrega de les fulles d'estil -->
	<link href="<?php echo base_url();?>assets/css/comu.css" rel="stylesheet" type="text/css"/>
	<link href="<?php echo base_url();?>assets/css/formularis.css" rel="stylesheet" type="text/css"/>
	<link href="<?php echo base_url();?>assets/css/taules.css" rel="stylesheet" type="text/css"/>

</head>
<body>
	<!-- Div superior -->
	<div id="up">
		<!-- Logo de la plana -->
		<div class="logo"></div>
		<!-- Enllaços -->
		<div class="user">
			<span class="link"><? echo anchor('inici', 'Inici') ?> - </span>
			<span class="nolink">Seguiment d'alumnes</span><br />
		</div>
		<div class="marc"></div>
	</div>
	
	<?php
		//Carrega de helper.
		$this->load->helper('form');
	?>

	<div id="taules">
		<div class="encapçalament">
			<?php
			//Include d'imatges i enllaços.
			include ('application/includes/link_imatges.php');
			//Obrir formulari.
			echo form_open('seguiment/enviaments'); ?>
			<!-- Div de taules -->
			<table border="0" cellpadding="0" cellspacing="0" class="taula">
				<tr>
					<th>Inicial </th>
					<th>Alumnes <br /></th>
					<th>Identificador <br /></th>
					<th>Estat <br /></th>
					<th>Comunicacions <br /></th>
					<th>Benvinguda</th>
					<th>Selecció</th>
				</tr>
				<?php	
					//Carrega helpers.
					$this->load->helper(array('html','url','form'));
					$cognom_anterior=" ";

					//Atributs de pàgina emergent d'estats.
					$atributs = array(				
						'width'      => '400',
						'height'     => '290',
						'scrollbars' => 'yes',
						'status'     => 'yes',
						'resizable'  => 'yes',
						'screenx'    => '450',
						'screeny'    => '110'
					);

					if($actconv[0]->status !=1){
							//No visualitza dades per pantalla.
					} else{
						//Foreach per visualitzar les dades.
						foreach($lstalumnes as $fila){

							//Dades del checkbox del formulari
							$inicial_cognom=inicial_cognom($fila->cognoms,$cognom_anterior);
							$cognom_anterior=$fila->cognoms;
							
							//Comprovar benvinguda.
							if($fila->benvinguda==FALSE){
								$image_benvinguda = $image_espera;
							} else{
								$image_benvinguda = $image_benvinguda_enviada;
							}

							//Detectar quina imatge es mostrarà en funció de l'estat.
							switch ($fila->darrer_estat) {
								case 1:
									//Donat d'alta.
									$image_estat = $image_convidat;
									break;
								case 2:
									//Donat d'alta.
									$image_estat = $image_convidat;
									break;
								case 3:
									//Mail retornat.
									$image_estat = $image_mail_retornat;
									break;
								case 4:
									//Donat de baixa.
									$image_estat = $image_baixa;
									break;	
								case 5:
									//No iniciat.
									$image_estat = $image_no_iniciat;
									break;
								case 6:
									//Alumne retrasat.
									$image_estat = $image_retras;
									break;	
								case 7:
									//Alumne iniciat.
									$image_estat = $image_iniciat;
									break;	
								case 8:
									//Recordatori de termini.
									$image_estat = $image_termini;
									break;	
								case 9:
									//Curs superat.
									$image_estat = $image_completat;
									break;	
								case 10:
									//Comunicació via mail.
									$image_estat = $image_mail_personal;
									break;
								case 11:
									//Comunicació de resposta.
									$image_estat = $image_mail_resposta;
									break;	
								default:
									//Si no es cap de les anteriors=No hi ha.
									$image_estat = $image_espera;
									break;
							}
							
							//Hi ha hagut feedback amb l'alumne.
							if($fila->feedback==-1){
								$image_feedback = $image_espera;
							} else{
								$image_feedback = $image_mail_resposta;
							}
							
							$id_alumne=$fila->id_alumne;
							$link_estats='seguiment/estats_alumne/'.$id_alumne;
							$checkbox = array(
									'name'        => 'seleccio[]',
									'id'          => $id_alumne,
									'value'       => $id_alumne,
									'checked'     => FALSE,
									'style'       => 'margin:10px'
							);
							
							
							//Llistat de seguiment.
							echo '<tr>';
							echo '<td>'.$inicial_cognom.'</td><td>'. $fila->cognoms. ', ' . $fila->nom . '</td><td>'. $fila->id_alumne.'</td><td>'. anchor_popup($link_estats, img($image_estat),$atributs).'</td><td>'.img($image_feedback).'</td><td>'.img($image_benvinguda).'</td><td align="left">'.form_checkbox($checkbox).form_label('&nbsp;', $id_alumne).'</td>';
							echo '</tr>';
						}
						echo '</table>';
							

			 $llista = array('Selecciona una opció',
				'Mail a enviar' =>array(
					'2'  => 'Benvinguda',
					'5'    => 'No iniciat',
					'6'   => 'Retràs',
					'7' => 'Bé',
					'8'  => 'Recordatori termini',
					'9'    => 'Superació',
					'10'   => 'Nou',
				),
				'Gestions'=>array(
					'3'  => 'Benvinguda retornada',
					'4'    => 'Donar de baixa',
				),
				);

				
				$id = 'id="seleccionar"';
				echo '<p>';
				
				echo form_dropdown('eleccio', $llista,'',$id);
				echo form_label('&nbsp;', 'seleccionar');
				echo '</p><p class="submit">';
				
				

			echo form_submit('enviar','Enviar');
			echo '</p>';
			echo form_close(); 
		}
		//Missatges d'error al enviar formulari.
		echo '<div id="missatges">'.$this->session->flashdata('error').'</div>';
		echo validation_errors('<div id="missatges">','</div>'); 
		?>

	
	</div>
</div>

</body>
</html> 