<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="es" xml:lang="es">
<head>
	<!-- Vista dels usuaris -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<title>Gestió d'usuaris</title>
	<!-- Càrrega de les fulles d'estil -->
	<link href="<?php echo base_url();?>assets/css/comu.css" rel="stylesheet" type="text/css"/>
	<link href="<?php echo base_url();?>assets/css/taules.css" rel="stylesheet" type="text/css"/>
</head>
<body>
	<!-- Div superior -->
	<div id="up">
		<!-- Logo de la plana -->
		<div class="logo"></div>
		<!-- Enllaços -->
		<div class="user">
			<span class="link"><? echo anchor('inici', 'Inici') ?> - </span>
			<span class="nolink">Gestió d'usuaris</span><br />
		</div>
		<div class="marc"></div>
	</div>
	<!-- Div de taules -->
	<div id="taules">
		<div class="encapçalament">
			<table border="0" cellpadding="0" cellspacing="0" class="taula">
				<!-- Cel·les -->
				<tr>
					<th>Inicial </th>
					<th>Cognoms <br />
					</th>
					<th>Nom <br />
					</th>
					<th>Identificador
					<?php
						//Carrega helpers.
						$this->load->helper('html');
						//Include d'imatges i enllaços.
						include ('application/includes/link_imatges.php');	
						include ('application/includes/link_planes.php');				
						echo anchor($link_nou_usuari, img($image_incloure))
					?>
					<br />
					</th>
					<th>Eliminar <br />
					</th>
					<th>E-mail <br />
					</th>
					<th>Rol <br />
					</th>
					<th>Editar 
					</th>
				</tr>
				<?php	
					//Carrega helpers.
					$this->load->helper(array('inicial','url'));			
			
					$cognom_anterior=" ";
					//Foreach per visualitzar les dades
					foreach($lstusuaris as $fila){
						//Si hi ha llistat usuaris.
						if(isset($fila->id_usuari)){
							$inicial_cognom=inicial_cognom($fila->cognoms_usuari,$cognom_anterior);
							$cognom_anterior=$fila->cognoms_usuari;
							$id_usuari=$fila->id_usuari;
							$link='usuaris/modificar_usuari/'.$id_usuari;
							$link_esborrar='usuaris/esborrar_usuari/'.$id_usuari;
							
							// Llistat de tots els usuaris.
							echo '<tr>';
							echo '<td>'.$inicial_cognom.'</td><td>'. $fila->cognoms_usuari .'</td><td>' . $fila->nom_usuari . '</td><td>'. $fila->id_usuari.'</td><td>'.anchor($link_esborrar,img($image_esborrar), "onclick=\" return confirm('Segur que vols ' + 'esborrar usuari?')\"").'</td><td>'. $fila->mail_usuari.'</td><td>'. $fila->rol.  '</td><td>'.anchor($link, img($image_editar)).'</td>';
							echo '</tr>';
						} else{
							break;
						}//No hi ha usuaris.
					}	
				?>
			</table>
		</div>
	</div>
</body>
</html> 