-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 13-01-2012 a las 18:15:45
-- Versión del servidor: 5.5.8
-- Versión de PHP: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `vtutories`
--
CREATE DATABASE `vtutories` DEFAULT CHARACTER SET utf8 COLLATE utf8_spanish_ci;
USE `vtutories`;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `alumnes`
--

CREATE TABLE IF NOT EXISTS `alumnes` (
  `clau_alumne` int(11) NOT NULL AUTO_INCREMENT,
  `id_alumne` varchar(12) COLLATE utf8_spanish_ci NOT NULL,
  `nom` varchar(30) COLLATE utf8_spanish_ci NOT NULL,
  `cognoms` varchar(40) COLLATE utf8_spanish_ci NOT NULL,
  `mail` varchar(30) COLLATE utf8_spanish_ci NOT NULL,
  `id_convocatoria` varchar(20) COLLATE utf8_spanish_ci NOT NULL,
  PRIMARY KEY (`clau_alumne`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=68 ;

--
-- Volcar la base de datos para la tabla `alumnes`
--

INSERT INTO `alumnes` (`clau_alumne`, `id_alumne`, `nom`, `cognoms`, `mail`, `id_convocatoria`) VALUES
(65, 'C049755', 'David', 'Español Diaz', 'davhides@hotmail.com', '13012012'),
(66, 'C049756', 'David', 'Despanold Segon', 'despanold@uoc.edu', '13012012'),
(67, 'C049757', 'Daniel', 'Vides Estrada', 'davhides@hotmail.com', '13012012');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `convocatories`
--

CREATE TABLE IF NOT EXISTS `convocatories` (
  `id_convocatoria` varchar(20) COLLATE utf8_spanish_ci NOT NULL,
  `data_inici` date NOT NULL,
  `data_fi` date NOT NULL,
  `id_tutor` varchar(20) COLLATE utf8_spanish_ci NOT NULL,
  `nom_convocatoria` varchar(30) COLLATE utf8_spanish_ci NOT NULL,
  PRIMARY KEY (`id_convocatoria`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `convocatories`
--

INSERT INTO `convocatories` (`id_convocatoria`, `data_inici`, `data_fi`, `id_tutor`, `nom_convocatoria`) VALUES
('13012012', '2012-01-13', '2012-01-20', 'Usuari02', 'Tutoria de vTutories');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `estat_alumnes`
--

CREATE TABLE IF NOT EXISTS `estat_alumnes` (
  `id_alumne` varchar(30) COLLATE utf8_spanish_ci NOT NULL,
  `id_convocatoria` varchar(30) COLLATE utf8_spanish_ci NOT NULL,
  `status_alumne` int(5) NOT NULL COMMENT '1 dado de alta, 2 bienvenida enviada, 3 bienvenida devuelta, 4 alumno dado de baja, 9 curso superado, 10 contestacion',
  `data_estat` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `id_estat_alumnes` int(10) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_estat_alumnes`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=171 ;

--
-- Volcar la base de datos para la tabla `estat_alumnes`
--

INSERT INTO `estat_alumnes` (`id_alumne`, `id_convocatoria`, `status_alumne`, `data_estat`, `id_estat_alumnes`) VALUES
('C049755', '13012012', 1, '2012-01-13 15:02:09', 156),
('C049756', '13012012', 1, '2012-01-13 15:02:09', 157),
('C049757', '13012012', 1, '2012-01-13 15:02:09', 158),
('C049755', '13012012', 2, '2012-01-13 16:50:32', 165),
('C049755', '13012012', 9, '2012-01-13 16:50:49', 166),
('C049756', '13012012', 3, '2012-01-13 16:51:02', 167),
('C049757', '13012012', 4, '2012-01-13 16:51:15', 168),
('C049756', '13012012', 10, '2012-01-13 17:02:35', 169),
('C049755', '13012012', 11, '2012-01-13 18:07:35', 170);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `estat_convocatories`
--

CREATE TABLE IF NOT EXISTS `estat_convocatories` (
  `clau_status` int(11) NOT NULL AUTO_INCREMENT,
  `id_convocatoria` varchar(30) COLLATE utf8_spanish_ci NOT NULL,
  `status` int(5) NOT NULL COMMENT '0 donada alta, 1 alta alumnes',
  `data_status` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`clau_status`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=37 ;

--
-- Volcar la base de datos para la tabla `estat_convocatories`
--

INSERT INTO `estat_convocatories` (`clau_status`, `id_convocatoria`, `status`, `data_status`) VALUES
(35, '13012012', 0, '2012-01-13 15:33:30'),
(36, '13012012', 1, '2012-01-13 15:33:47');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `estats`
--

CREATE TABLE IF NOT EXISTS `estats` (
  `nom_estat` varchar(32) COLLATE utf8_spanish_ci NOT NULL,
  `status_alumne` int(3) NOT NULL,
  PRIMARY KEY (`status_alumne`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `estats`
--

INSERT INTO `estats` (`nom_estat`, `status_alumne`) VALUES
('Missatge alta', 1),
('Missatge benvinguda', 2),
('Alta benvinguda retornat', 3),
('Baixa alumne', 4),
('Alumne donat de baix', 5),
('Missatge no iniciat', 6),
('Missatge de retras', 7),
('Missatge de termini ', 8),
('Missatge de superacio', 9),
('Missatge de resposta', 10);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `gestor_correu`
--

CREATE TABLE IF NOT EXISTS `gestor_correu` (
  `id_usuari` varchar(30) COLLATE utf8_spanish_ci NOT NULL,
  `id_smtp` varchar(30) COLLATE utf8_spanish_ci NOT NULL,
  `password_smtp` varchar(100) COLLATE utf8_spanish_ci NOT NULL,
  PRIMARY KEY (`id_usuari`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `gestor_correu`
--

INSERT INTO `gestor_correu` (`id_usuari`, `id_smtp`, `password_smtp`) VALUES
('Admin01', '', ''),
('Usuari01', '', ''),
('Usuari02', 'tereshadi@gmail.com', 'pw9RDKR+CxvKIQSewSlB5yu6vGxw9hqvBBOXaDQxhiYihRLpE3vbOQkyYUuF1xvlXNC7siyE36y/z2h1A+KtyA==');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `resposta_missatges`
--

CREATE TABLE IF NOT EXISTS `resposta_missatges` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_missatge` int(20) NOT NULL,
  `data_resposta` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=18 ;

--
-- Volcar la base de datos para la tabla `resposta_missatges`
--

INSERT INTO `resposta_missatges` (`id`, `id_missatge`, `data_resposta`) VALUES
(1, 101, '2012-01-03 18:58:30'),
(2, 105, '2012-01-13 16:48:24');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `rols`
--

CREATE TABLE IF NOT EXISTS `rols` (
  `rol` int(3) NOT NULL,
  `nom_rol` varchar(20) COLLATE utf8_spanish_ci NOT NULL,
  PRIMARY KEY (`rol`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `rols`
--

INSERT INTO `rols` (`rol`, `nom_rol`) VALUES
(1, 'Administrador'),
(2, 'Tutor');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuaris`
--

CREATE TABLE IF NOT EXISTS `usuaris` (
  `id_usuari` varchar(11) COLLATE utf8_spanish_ci NOT NULL,
  `password` varchar(50) COLLATE utf8_spanish_ci NOT NULL,
  `nom_usuari` varchar(30) COLLATE utf8_spanish_ci NOT NULL,
  `cognoms_usuari` varchar(40) COLLATE utf8_spanish_ci NOT NULL,
  `mail_usuari` varchar(30) COLLATE utf8_spanish_ci NOT NULL,
  `data_alta` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `rol` int(3) NOT NULL,
  PRIMARY KEY (`id_usuari`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `usuaris`
--

INSERT INTO `usuaris` (`id_usuari`, `password`, `nom_usuari`, `cognoms_usuari`, `mail_usuari`, `data_alta`, `rol`) VALUES
('Admin01', '5f59f189a5390359fe1b263a9d2065d6426257fe ', 'David', 'Español Diaz', 'despanold@uoc.edu', '2012-01-01 17:14:15', 1),
('Usuari01', '5f59f189a5390359fe1b263a9d2065d6426257fe', 'David', 'Español Diaz', 'tereshadi@gmail.com', '2012-01-05 19:20:26', 2),
('Usuari02', '5f59f189a5390359fe1b263a9d2065d6426257fe', 'Ernesto', 'Perez Perez', 'tereshadi@gmail.com', '2012-01-13 14:53:55', 2);
